package com.ruoyi.ems.report.domain;


import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * 统计能耗报表
 *
 * @author Yinq
 * @date 2023-10-12
 */
public class EnergyStatisticalReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 统计单元编号
     */
    @Excel(name = "统计单元编号")
    private String workUnitCode;

    /**
     * 统计单元名称
     */
    @Excel(name = "统计单元名称")
    private String workUnitName;

    /**
     * 耗量(kwh)
     */
    @Excel(name = "耗量(kwh)")
    private BigDecimal expend;

    /**
     * 开始日期
     */
    @Excel(name = "开始日期")
    private String beginTime;

    /**
     * 结束日期
     */
    @Excel(name = "结束日期")
    private String endTime;

    /**
     * 仪表值(kwh)
     */
    @Excel(name = "仪表值(kwh)")
    private BigDecimal instrumentValue;

    public String getWorkUnitCode() {
        return workUnitCode;
    }

    public void setWorkUnitCode(String workUnitCode) {
        this.workUnitCode = workUnitCode;
    }

    public String getWorkUnitName() {
        return workUnitName;
    }

    public void setWorkUnitName(String workUnitName) {
        this.workUnitName = workUnitName;
    }

    public BigDecimal getInstrumentValue() {
        return instrumentValue;
    }

    public void setInstrumentValue(BigDecimal instrumentValue) {
        this.instrumentValue = instrumentValue;
    }

    public BigDecimal getExpend() {
        return expend;
    }

    public void setExpend(BigDecimal expend) {
        this.expend = expend;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "EnergyStatisticalReport{" +
                "workUnitCode='" + workUnitCode + '\'' +
                ", workUnitName='" + workUnitName + '\'' +
                ", instrumentValue=" + instrumentValue +
                ", expend=" + expend +
                ", beginTime='" + beginTime + '\'' +
                ", endTime='" + endTime + '\'' +
                '}';
    }
}
